CVE-2007-4569

NameCVE-2007-4569
Descriptionbackend/session.c in KDM in KDE 3.3.0 through 3.5.7, when autologin is configured and "shutdown with password" is enabled, allows remote attackers to bypass the password requirement and login to arbitrary accounts via unspecified vectors.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1376-1, DTSA-60-1
NVD severitymedium (attack range: local)

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
kdebasesource(unstable)4:3.5.7-4medium
kdebasesourceetch4:3.5.5a.dfsg.1-6etch1mediumDSA-1376-1
kdebasesourcelenny4:3.5.7-3lenny1mediumDTSA-60-1
kdebasesourcesarge(not affected)

Notes

[sarge] - kdebase <not-affected> (problem not present in code)
http://www.kde.org/info/security/advisory-20070919-1.txt

Search for package or bug name: Reporting problems